Skip to content

Approve device authorization

POST
/v1/device/approve

User approves the CLI’s device authorization request, selecting permissions and expiry. Mints a scoped API key.

object
user_code
required
string
>= 1 characters
permissions
required
Array<string>
>= 1 items
Allowed values: bank-accounts:read bank-accounts:write bank-accounts:delete bills:read bills:delete off-ramp-quotes:write
expires_at

ISO 8601 expiration timestamp

string format: date-time
name
string
>= 1 characters <= 255 characters

Response for status 200

object
approved
required
boolean
clientId
required
string
permissions
required
Array<string>
expiresAt
required
Any of:
string

Response for status 401

object
type

A URI reference that identifies the problem type

string
default: about:blank
title
required

A short, human-readable summary of the problem type

string
status
required

The HTTP status code

number
detail

A human-readable explanation specific to this occurrence

string
instance

A URI reference that identifies the specific occurrence

string
realm

The authentication realm

string
scope

The required scope for this resource

string

Response for status 500

object
type

A URI reference that identifies the problem type

string
default: about:blank
title
required

A short, human-readable summary of the problem type

string
status
required

The HTTP status code

number
detail

A human-readable explanation specific to this occurrence

string
instance

A URI reference that identifies the specific occurrence

string